<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::Annotation Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_annotation.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classerpcgen_1_1_annotation-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::Annotation Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classerpcgen_1_1_annotation.html" title="Annotation class. ">Annotation</a> class.  
 <a href="classerpcgen_1_1_annotation.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_annotation_8h_source.html">Annotation.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab798a293e491bf62c2f54e8c8ec53dac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_annotation.html#ab798a293e491bf62c2f54e8c8ec53dac">Annotation</a> (const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;token, <a class="el" href="class_value.html">Value</a> *val)</td></tr>
<tr class="memdesc:ab798a293e491bf62c2f54e8c8ec53dac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab798a293e491bf62c2f54e8c8ec53dac">More...</a><br /></td></tr>
<tr class="separator:ab798a293e491bf62c2f54e8c8ec53dac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa03b81e72b64279bf91374761b7363"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_annotation.html#aeaa03b81e72b64279bf91374761b7363">Annotation</a> (const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;token)</td></tr>
<tr class="memdesc:aeaa03b81e72b64279bf91374761b7363"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aeaa03b81e72b64279bf91374761b7363">More...</a><br /></td></tr>
<tr class="separator:aeaa03b81e72b64279bf91374761b7363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5599315f40334388f52cbb55c21f615"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_annotation.html#ad5599315f40334388f52cbb55c21f615">Annotation</a> (const <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &amp;a)</td></tr>
<tr class="memdesc:ad5599315f40334388f52cbb55c21f615"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ad5599315f40334388f52cbb55c21f615">More...</a><br /></td></tr>
<tr class="separator:ad5599315f40334388f52cbb55c21f615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6d4173cec7d8af927ce985be66a3c17"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_annotation.html#ac6d4173cec7d8af927ce985be66a3c17">getName</a> () const </td></tr>
<tr class="memdesc:ac6d4173cec7d8af927ce985be66a3c17"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns annotation name.  <a href="#ac6d4173cec7d8af927ce985be66a3c17">More...</a><br /></td></tr>
<tr class="separator:ac6d4173cec7d8af927ce985be66a3c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac72c8edb29ff6c07ff611151cb57a5f0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_annotation.html#ac72c8edb29ff6c07ff611151cb57a5f0">hasValue</a> ()</td></tr>
<tr class="memdesc:ac72c8edb29ff6c07ff611151cb57a5f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks to see if value instance member is null.  <a href="#ac72c8edb29ff6c07ff611151cb57a5f0">More...</a><br /></td></tr>
<tr class="separator:ac72c8edb29ff6c07ff611151cb57a5f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac907c227156887ae849bb1ae64989dd5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_value.html">Value</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_annotation.html#ac907c227156887ae849bb1ae64989dd5">getValueObject</a> ()</td></tr>
<tr class="memdesc:ac907c227156887ae849bb1ae64989dd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns annotation value.  <a href="#ac907c227156887ae849bb1ae64989dd5">More...</a><br /></td></tr>
<tr class="separator:ac907c227156887ae849bb1ae64989dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78189821380af354ecde579745673b4d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_annotation.html#a78189821380af354ecde579745673b4d">toString</a> ()</td></tr>
<tr class="memdesc:a78189821380af354ecde579745673b4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns toString representation.  <a href="#a78189821380af354ecde579745673b4d">More...</a><br /></td></tr>
<tr class="separator:a78189821380af354ecde579745673b4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef0bc8ff519273c631b0b79213650e0b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_annotation.html#aef0bc8ff519273c631b0b79213650e0b">getLocation</a> ()</td></tr>
<tr class="memdesc:aef0bc8ff519273c631b0b79213650e0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns location for symbol.  <a href="#aef0bc8ff519273c631b0b79213650e0b">More...</a><br /></td></tr>
<tr class="separator:aef0bc8ff519273c631b0b79213650e0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classerpcgen_1_1_annotation.html" title="Annotation class. ">Annotation</a> class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab798a293e491bf62c2f54e8c8ec53dac"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::Annotation::Annotation </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>token</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_value.html">Value</a> *&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function initializes object attributes from given <a class="el" href="classerpcgen_1_1_token.html" title="Encapsulates all information about a token. ">Token</a> and <a class="el" href="class_value.html" title="Abstract base class for values of arbitrary types. ">Value</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">token</td><td><a class="el" href="classerpcgen_1_1_token.html" title="Encapsulates all information about a token. ">Token</a> contains annotation name and location in parsed file. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">val</td><td>Pointer to value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aeaa03b81e72b64279bf91374761b7363"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::Annotation::Annotation </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>token</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function initializes object attributes from given <a class="el" href="classerpcgen_1_1_token.html" title="Encapsulates all information about a token. ">Token</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">token</td><td><a class="el" href="classerpcgen_1_1_token.html" title="Encapsulates all information about a token. ">Token</a> contains annotation name and location in parsed file. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad5599315f40334388f52cbb55c21f615"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::Annotation::Annotation </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &amp;&#160;</td>
          <td class="paramname"><em>a</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function initializes object attributes from given annotation.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">a</td><td>Source annotation. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aef0bc8ff519273c631b0b79213650e0b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a>&amp; erpcgen::Annotation::getLocation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns location for symbol. </p>
<dl class="section return"><dt>Returns</dt><dd>Return location for symbol. </dd></dl>

</div>
</div>
<a class="anchor" id="ac6d4173cec7d8af927ce985be66a3c17"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::Annotation::getName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns annotation name. </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="classerpcgen_1_1_annotation.html" title="Annotation class. ">Annotation</a> name. </dd></dl>

</div>
</div>
<a class="anchor" id="ac907c227156887ae849bb1ae64989dd5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_value.html">Value</a> * Annotation::getValueObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns annotation value. </p>
<dl class="section return"><dt>Returns</dt><dd>Pointer to annotation value.</dd></dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classerpcgen_1_1semantic__error.html" title="Exception class for semantic errors. ">semantic_error</a></td><td><a class="el" href="classerpcgen_1_1_function.html" title="Function declaration. ">Function</a> will throw semantic error if <a class="el" href="classerpcgen_1_1_annotation.html#ac72c8edb29ff6c07ff611151cb57a5f0" title="Checks to see if value instance member is null. ">hasValue()</a> == false. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac72c8edb29ff6c07ff611151cb57a5f0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool erpcgen::Annotation::hasValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks to see if value instance member is null. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">True</td><td>if m_value is not null </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a78189821380af354ecde579745673b4d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::Annotation::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns toString representation. </p>
<dl class="section return"><dt>Returns</dt><dd>Returns "name = value". </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_annotation_8h_source.html">Annotation.h</a></li>
<li>Type.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
